package edu.cmu.cs.l3.semant;

public class TyPointer extends Ty {

    public TyPointer(Ty undertype) {
	super(4,undertype.getName()+"*");
	m_undertype = undertype;
    }

    public Ty getUnderType() {
	return m_undertype;
    }

    private Ty m_undertype;
}